Package ru.bitel.bgbilling.modules.npay.server.event

# Class ContractNpayChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.npay.server.event.ContractNpayChangedEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractNpayChangedEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - изменение абон платы в договоре.
Событие генерируется после изменения/удаления услуги в объекте.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractNpayChangedEvent()` | Конструктор события.
  `ContractNpayChangedEvent​(int mid, int cid, int userId, int typeOperation, ServiceObject serviceObject)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ServiceObject` | `getServiceObject()` |
  `int` | `getTypeOperation()` |
  `void` | `setServiceObject​(ServiceObject serviceObject)` |
  `void` | `setTypeOperation​(int typeOperation)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractNpayChangedEvent

    public ContractNpayChangedEvent()
    Конструктор события.

  - ### ContractNpayChangedEvent

    public ContractNpayChangedEvent​(int mid, int cid, int userId, int typeOperation, ServiceObject serviceObject)
    Конструктор события.
    Parameters:
      `mid` - - код договора
      `cid` - - код модуля
      `userId` - - id пользователя, сгенерировавшего событие

- ## Method Details

  - ### getServiceObject

    public ServiceObject getServiceObject()

  - ### setServiceObject

    public void setServiceObject​(ServiceObject serviceObject)

  - ### getTypeOperation

    public int getTypeOperation()

  - ### setTypeOperation

    public void setTypeOperation​(int typeOperation)